Ce Forum passera en lecture seule en janvier 2020
Image
Merci de vous rendre sur https://community.jeedom.com maintenant pour vos prochains postes ;)

[Plugin Tiers] Plugin Alexa-API

Pour échanger sur les plugins classés en catégorie "Communication"
jmau18
Timide
Messages : 9
Inscription : 04 sept. 2019, 12:55

Re: [Plugin Tiers] Plugin Alexa-API

Message par jmau18 » 04 sept. 2019, 23:58

Bonsoir
je remet ma demande sur le bon sujet :)
je suis sur un JeedomVm ( Debian 9) sur Nas Synology.
- Impossible d'installer les dépendances , nouvel essai ce soir avec la derniere version du plugin .
Même résultat dépendances ne se lancent pas.

Merci d'avance pour votre aide !

Ci dessous le log


--0%
--10%
Lancement de l'installation/mise à jour des dépendances
--20%
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:2 http://ftp.fr.debian.org/debian stretch-updates InRelease
Atteint:3 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian stretch Release
Atteint:5 https://deb.nodesource.com/node_12.x stretch InRelease
Lecture des listes de paquets…
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
lsb-release is already the newest version (9.20161125).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
--30%
Version actuelle : v4.8.2
--40%
KO, version obsolète à upgrader
Suppression du Nodejs existant et installation du paquet recommandé
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
E: Impossible de trouver le paquet npm
--45%
Utilisation du dépot officiel
## Installing the NodeSource Node.js 12.x repo...
## Populating apt-get cache...
+ apt-get update
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:2 http://ftp.fr.debian.org/debian stretch-updates InRelease
Atteint:3 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian stretch Release
Atteint:5 https://deb.nodesource.com/node_12.x stretch InRelease
Lecture des listes de paquets…
## Confirming "stretch" is supported...
+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node_12.x/di ... ch/Release'
## Adding the NodeSource signing key to your keyring...
+ curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
## Creating apt sources list file for the NodeSource Node.js 12.x repo...
+ echo 'deb https://deb.nodesource.com/node_12.x stretch main' > /etc/apt/sources.list.d/nodesource.list
+ echo 'deb-src https://deb.nodesource.com/node_12.x stretch main' >> /etc/apt/sources.list.d/nodesource.list
## Running `apt-get update` for you...
+ apt-get update
Atteint:1 http://security.debian.org/debian-security stretch/updates InRelease
Ign:2 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian stretch Release
Atteint:5 https://deb.nodesource.com/node_12.x stretch InRelease
Lecture des listes de paquets…
## Run `sudo apt-get install -y nodejs` to install Node.js 12.x and npm
## You may also need development tools to build native addons:
sudo apt-get install gcc g++ make
## To install the Yarn package manager, run:
curl -sL https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
sudo apt-get update && sudo apt-get install yarn
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
nodejs is already the newest version (4.8.2~dfsg-1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
/var/www/html/plugins/alexaapi/resources/nodejs.sh: ligne 142: npm : commande introuvable
Version actuelle : v4.8.2
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
E: Impossible de trouver le paquet npm
sudo: npm : commande introuvable
--50%
--60%
Installation...
sudo: npm : commande introuvable
chown: impossible d'accéder à 'node_modules': Aucun fichier ou dossier de ce type
--95%
--100%
Installation des dépendances alexaapi terminée, vérifiez qu'il n'y a pas d'erreur
Pièces jointes
image.png
image.png (780 octets) Consulté 354 fois

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6511
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [Plugin Tiers] Plugin Alexa-API

Message par Nebz » 05 sept. 2019, 07:49

jmau18 a écrit :
04 sept. 2019, 23:58
Bonsoir
je remet ma demande sur le bon sujet :)
je suis sur un JeedomVm ( Debian 9) sur Nas Synology.
- Impossible d'installer les dépendances , nouvel essai ce soir avec la derniere version du plugin .
Même résultat dépendances ne se lancent pas.

Merci d'avance pour votre aide !

Ci dessous le log


--0%
--10%
Lancement de l'installation/mise à jour des dépendances
--20%
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:2 http://ftp.fr.debian.org/debian stretch-updates InRelease
Atteint:3 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian stretch Release
Atteint:5 https://deb.nodesource.com/node_12.x stretch InRelease
Lecture des listes de paquets…
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
lsb-release is already the newest version (9.20161125).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
--30%
Version actuelle : v4.8.2
--40%
KO, version obsolète à upgrader
Suppression du Nodejs existant et installation du paquet recommandé
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
E: Impossible de trouver le paquet npm
--45%
Utilisation du dépot officiel
## Installing the NodeSource Node.js 12.x repo...
## Populating apt-get cache...
+ apt-get update
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:2 http://ftp.fr.debian.org/debian stretch-updates InRelease
Atteint:3 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian stretch Release
Atteint:5 https://deb.nodesource.com/node_12.x stretch InRelease
Lecture des listes de paquets…
## Confirming "stretch" is supported...
+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node_12.x/di ... ch/Release'
## Adding the NodeSource signing key to your keyring...
+ curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
## Creating apt sources list file for the NodeSource Node.js 12.x repo...
+ echo 'deb https://deb.nodesource.com/node_12.x stretch main' > /etc/apt/sources.list.d/nodesource.list
+ echo 'deb-src https://deb.nodesource.com/node_12.x stretch main' >> /etc/apt/sources.list.d/nodesource.list
## Running `apt-get update` for you...
+ apt-get update
Atteint:1 http://security.debian.org/debian-security stretch/updates InRelease
Ign:2 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian stretch Release
Atteint:5 https://deb.nodesource.com/node_12.x stretch InRelease
Lecture des listes de paquets…
## Run `sudo apt-get install -y nodejs` to install Node.js 12.x and npm
## You may also need development tools to build native addons:
sudo apt-get install gcc g++ make
## To install the Yarn package manager, run:
curl -sL https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
sudo apt-get update && sudo apt-get install yarn
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
nodejs is already the newest version (4.8.2~dfsg-1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
/var/www/html/plugins/alexaapi/resources/nodejs.sh: ligne 142: npm : commande introuvable
Version actuelle : v4.8.2
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
E: Impossible de trouver le paquet npm
sudo: npm : commande introuvable
--50%
--60%
Installation...
sudo: npm : commande introuvable
chown: impossible d'accéder à 'node_modules': Aucun fichier ou dossier de ce type
--95%
--100%
Installation des dépendances alexaapi terminée, vérifiez qu'il n'y a pas d'erreur
hello, tu peux taper ces commandes et m'envoyer le résultat stp ?

Code : Tout sélectionner

apt-cache policy nodejs
lsb_release -a
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Gaillb1
Timide
Messages : 113
Inscription : 20 nov. 2016, 23:06
Localisation : sud ouest parisien

Re: [Plugin Tiers] Plugin Alexa-API

Message par Gaillb1 » 05 sept. 2019, 10:31

bonjour,

avant la demande d'aide, d'abord un grand merci et un grand bravo a toute l'équipe dev pour le taf et le plugin.
Ensuite, j'ai le même soucis que jmau18 a priori, et pratiquement au mot prêt.
Install sur NUC en stretch
Rien avec JEEDOM pour ne rien poluer

tout fonctionne bien depuis pas mal de temps en version beta.
mise a jour dernièrement du plugin - demande de passage en même temps de la version beta vers la version stable dans le market -
impossible d'installer les dépendances depuis.
apres lecture du fil, réparation nodejs, essais de relancer les dep.
... et rien :cry:


Voici le log dep si qq peut m'orienter vers une solution

Merci par avance

Code : Tout sélectionner

--0%
--[2019/09/05 10:20:02]-Mode Debug--
--10%
Lancement de l'installation/mise à jour des dépendances
--20%
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:2 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian stretch Release
Atteint:5 https://deb.nodesource.com/node_12.x stretch InRelease
Lecture des listes de paquets…
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
lsb-release is already the newest version (9.20161125).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 20 non mis à jour.
--30%
Version actuelle : v4.8.2
--40%
KO, version obsolète à upgrader
Suppression du Nodejs existant et installation du paquet recommandé
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
E: Impossible de trouver le paquet npm
--45%
Utilisation du dépot officiel
## Installing the NodeSource Node.js 12.x repo...
## Populating apt-get cache...
+ apt-get update
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:2 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian stretch Release
Atteint:5 https://deb.nodesource.com/node_12.x stretch InRelease
Lecture des listes de paquets…
## Confirming "stretch" is supported...
+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node_12.x/dists/stretch/Release'
## Adding the NodeSource signing key to your keyring...
+ curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
## Creating apt sources list file for the NodeSource Node.js 12.x repo...
+ echo 'deb https://deb.nodesource.com/node_12.x stretch main' > /etc/apt/sources.list.d/nodesource.list
+ echo 'deb-src https://deb.nodesource.com/node_12.x stretch main' >> /etc/apt/sources.list.d/nodesource.list
## Running `apt-get update` for you...
+ apt-get update
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:2 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian stretch Release
Atteint:5 https://deb.nodesource.com/node_12.x stretch InRelease
Lecture des listes de paquets…
## Run `sudo apt-get install -y nodejs` to install Node.js 12.x and npm
## You may also need development tools to build native addons:
sudo apt-get install gcc g++ make
## To install the Yarn package manager, run:
curl -sL https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
sudo apt-get update && sudo apt-get install yarn
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
nodejs is already the newest version (4.8.2~dfsg-1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 20 non mis à jour.
/var/www/html/plugins/alexaapi/resources/nodejs.sh: ligne 142: npm : commande introuvable
Version actuelle : v4.8.2
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
E: Impossible de trouver le paquet npm
sudo: npm : commande introuvable
--50%
--60%
Installation...
sudo: npm : commande introuvable
chown: impossible d'accéder à 'node_modules': Aucun fichier ou dossier de ce type
--95%
--100%
Installation des dépendances alexaapi terminée, vérifiez qu'il n'y a pas d'erreur
--[2019/09/05 10:20:27]--
Dernière édition par Gaillb1 le 05 sept. 2019, 10:37, édité 1 fois.

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6511
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [Plugin Tiers] Plugin Alexa-API

Message par Nebz » 05 sept. 2019, 10:35

Gaillb1 a écrit :bonjour,

avant la demande d'aide, d'abord un grand merci et un grand bravo a toute l'équipe dev pour le taf et le plugin.
Ensuite, j'ai le même soucis que jmau18 a priori
Install sur NUC en stretch
Rien avec pour ne rien poluer

tout fonctionne bien depuis pas mal de temps
mise a jour dernièrement du plugin
impossible d'installer les dépendances depuis

Voici le log dep si qq peut m'orienter vers une solution

Merci par avance

Code : Tout sélectionner

--0%
--[2019/09/05 10:20:02]-Mode Debug--
--10%
Lancement de l'installation/mise à jour des dépendances
--20%
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:2 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian stretch Release
Atteint:5 https://deb.nodesource.com/node_12.x stretch InRelease
Lecture des listes de paquets…
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
lsb-release is already the newest version (9.20161125).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 20 non mis à jour.
--30%
Version actuelle : v4.8.2
--40%
KO, version obsolète à upgrader
Suppression du Nodejs existant et installation du paquet recommandé
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
E: Impossible de trouver le paquet npm
--45%
Utilisation du dépot officiel
## Installing the NodeSource Node.js 12.x repo...
## Populating apt-get cache...
+ apt-get update
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:2 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian stretch Release
Atteint:5 https://deb.nodesource.com/node_12.x stretch InRelease
Lecture des listes de paquets…
## Confirming "stretch" is supported...
+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node_12.x/dists/stretch/Release'
## Adding the NodeSource signing key to your keyring...
+ curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
## Creating apt sources list file for the NodeSource Node.js 12.x repo...
+ echo 'deb https://deb.nodesource.com/node_12.x stretch main' > /etc/apt/sources.list.d/nodesource.list
+ echo 'deb-src https://deb.nodesource.com/node_12.x stretch main' >> /etc/apt/sources.list.d/nodesource.list
## Running `apt-get update` for you...
+ apt-get update
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:2 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian stretch Release
Atteint:5 https://deb.nodesource.com/node_12.x stretch InRelease
Lecture des listes de paquets…
## Run `sudo apt-get install -y nodejs` to install Node.js 12.x and npm
## You may also need development tools to build native addons:
sudo apt-get install gcc g++ make
## To install the Yarn package manager, run:
curl -sL https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
sudo apt-get update && sudo apt-get install yarn
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
nodejs is already the newest version (4.8.2~dfsg-1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 20 non mis à jour.
/var/www/html/plugins/alexaapi/resources/nodejs.sh: ligne 142: npm : commande introuvable
Version actuelle : v4.8.2
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
E: Impossible de trouver le paquet npm
sudo: npm : commande introuvable
--50%
--60%
Installation...
sudo: npm : commande introuvable
chown: impossible d'accéder à 'node_modules': Aucun fichier ou dossier de ce type
--95%
--100%
Installation des dépendances alexaapi terminée, vérifiez qu'il n'y a pas d'erreur
--[2019/09/05 10:20:27]--
Hello, lis le message juste au dessus du tiens et fournis moi le résultat des commandes stp


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Gaillb1
Timide
Messages : 113
Inscription : 20 nov. 2016, 23:06
Localisation : sud ouest parisien

Re: [Plugin Tiers] Plugin Alexa-API

Message par Gaillb1 » 05 sept. 2019, 10:42

Bonjour

voici le resulat

Code : Tout sélectionner

nodejs:
  Installed: 4.8.2~dfsg-1
  Candidate: 4.8.2~dfsg-1
  Version table:
 *** 4.8.2~dfsg-1 500
        500 http://ftp.fr.debian.org/debian stretch/main i386 Packages
        100 /var/lib/dpkg/status
et

No LSB modules are available.

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6511
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [Plugin Tiers] Plugin Alexa-API

Message par Nebz » 05 sept. 2019, 10:53

j'ai poussé un correctif mais il faut que @Sigalou pousse dans le market
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Gaillb1
Timide
Messages : 113
Inscription : 20 nov. 2016, 23:06
Localisation : sud ouest parisien

Re: [Plugin Tiers] Plugin Alexa-API

Message par Gaillb1 » 05 sept. 2019, 11:07

t es top !!!

tkt pas ... on a l habitude pour l'attente d'au moins .... 15 minutes pour les solutions avec vous ... 11 pardon pour cette demande :lol:

je fais un retour des que c'est pret.

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6511
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [Plugin Tiers] Plugin Alexa-API

Message par Nebz » 05 sept. 2019, 11:09

mais pas certain que ca resolve vraiment ton problème... car on dirait qu'il n'a pas la source nodejs alors qu'il devrait l'avoir via mon script... tu devras peut-etre relancer une réparation pour qu'il retire cette version 4.8.2 (ou le faire manuellement)
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6511
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [Plugin Tiers] Plugin Alexa-API

Message par Nebz » 05 sept. 2019, 11:11

tape ca quand meme j'avais oublié le a

Code : Tout sélectionner

lsb_release -a
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Gaillb1
Timide
Messages : 113
Inscription : 20 nov. 2016, 23:06
Localisation : sud ouest parisien

Re: [Plugin Tiers] Plugin Alexa-API

Message par Gaillb1 » 05 sept. 2019, 11:16

voila le résultat :

Code : Tout sélectionner

No LSB modules are available.
Distributor ID:	Debian
Description:	Debian GNU/Linux 9.8 (stretch)
Release:	9.8
Codename:	stretch
on verra ensuite pour la réparation ... on va avancer pas après pas
dans tous les cas merci !

Gaillb1
Timide
Messages : 113
Inscription : 20 nov. 2016, 23:06
Localisation : sud ouest parisien

Re: [Plugin Tiers] Plugin Alexa-API

Message par Gaillb1 » 05 sept. 2019, 14:33

MAJ installée .... Yessssss

mais rien a faire ... ça ne veut pas

voici le résultat des différentes commandes :

Code : Tout sélectionner

nodejs:
  Installed: 4.8.2~dfsg-1
  Candidate: 4.8.2~dfsg-1
  Version table:
 *** 4.8.2~dfsg-1 500
        500 http://ftp.fr.debian.org/debian stretch/main i386 Packages
        100 /var/lib/dpkg/status

Code : Tout sélectionner

No LSB modules are available.
Distributor ID:	Debian
Description:	Debian GNU/Linux 9.8 (stretch)
Release:	9.8
Codename:	stretch
comment faire pour la réparation dont tu parlais toute a l'heure ?

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6511
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [Plugin Tiers] Plugin Alexa-API

Message par Nebz » 05 sept. 2019, 14:35

Dans la config du plug-in "réparation nodejs"


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6511
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [Plugin Tiers] Plugin Alexa-API

Message par Nebz » 05 sept. 2019, 14:37

puis envoi moi le log de dépendances après avoir cliqué sur ce bouton (et que les dep soient réinstallées)
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Gaillb1
Timide
Messages : 113
Inscription : 20 nov. 2016, 23:06
Localisation : sud ouest parisien

Re: [Plugin Tiers] Plugin Alexa-API

Message par Gaillb1 » 05 sept. 2019, 14:40

done

NOK pour les dependances

voici le log

Code : Tout sélectionner

--0%
--[2019/09/05 14:38:46]-Mode Debug--
--10%
Lancement de l'installation/mise à jour des dépendances
--20%
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Hit:2 http://ftp.fr.debian.org/debian stretch-updates InRelease
Hit:3 http://ftp.fr.debian.org/debian stretch Release
Hit:4 http://security.debian.org/debian-security stretch/updates InRelease
Hit:5 https://deb.nodesource.com/node_12.x stretch InRelease
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
lsb-release is already the newest version (9.20161125).
0 upgraded, 0 newly installed, 0 to remove and 20 not upgraded.
--30%
Version actuelle : v4.8.2
--40%
KO, version obsolète à upgrader
Suppression du Nodejs existant et installation du paquet recommandé
Reading package lists...
Building dependency tree...
Reading state information...
E: Unable to locate package npm
--45%
Utilisation du dépot officiel
## Installing the NodeSource Node.js 12.x repo...
## Populating apt-get cache...
+ apt-get update
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Hit:2 http://security.debian.org/debian-security stretch/updates InRelease
Hit:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Hit:4 http://ftp.fr.debian.org/debian stretch Release
Hit:5 https://deb.nodesource.com/node_12.x stretch InRelease
Reading package lists...
## Confirming "stretch" is supported...
+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node_12.x/dists/stretch/Release'
## Adding the NodeSource signing key to your keyring...
+ curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
## Creating apt sources list file for the NodeSource Node.js 12.x repo...
+ echo 'deb https://deb.nodesource.com/node_12.x stretch main' > /etc/apt/sources.list.d/nodesource.list
+ echo 'deb-src https://deb.nodesource.com/node_12.x stretch main' >> /etc/apt/sources.list.d/nodesource.list
## Running `apt-get update` for you...
+ apt-get update
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Hit:2 http://security.debian.org/debian-security stretch/updates InRelease
Hit:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Hit:4 http://ftp.fr.debian.org/debian stretch Release
Hit:5 https://deb.nodesource.com/node_12.x stretch InRelease
Reading package lists...
## Run `sudo apt-get install -y nodejs` to install Node.js 12.x and npm
## You may also need development tools to build native addons:
sudo apt-get install gcc g++ make
## To install the Yarn package manager, run:
curl -sL https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
sudo apt-get update && sudo apt-get install yarn
Reading package lists...
Building dependency tree...
Reading state information...
nodejs is already the newest version (4.8.2~dfsg-1).
0 upgraded, 0 newly installed, 0 to remove and 20 not upgraded.
/var/www/html/plugins/alexaapi/resources/nodejs.sh: line 142: npm: command not found
Version actuelle : v4.8.2
Reading package lists...
Building dependency tree...
Reading state information...
E: Unable to locate package npm
sudo: npm: command not found
--50%
--60%
Installation...
sudo: npm: command not found
chown: cannot access 'node_modules': No such file or directory
--95%
--100%
Installation des dépendances alexaapi terminée, vérifiez qu'il n'y a pas d'erreur
--[2019/09/05 14:39:10]--

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6511
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [Plugin Tiers] Plugin Alexa-API

Message par Nebz » 05 sept. 2019, 14:43

ok d'après le début du log, tu as la bonne source (v12)

mais pour moi tu n'as toujours pas ma mise à jour... @sigalou ne l'a pas poussée encore... donc tu n'as pas mon "fix"...

lance :

apt-cache policy nodejs

il va donner 500 à la source officielle de nodejs et non pas 600 comme j'ai mis dans mon fix


donc attend la mise à jour
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Gaillb1
Timide
Messages : 113
Inscription : 20 nov. 2016, 23:06
Localisation : sud ouest parisien

Re: [Plugin Tiers] Plugin Alexa-API

Message par Gaillb1 » 05 sept. 2019, 14:47

d ac ... c est bien 500

j ai mis bêtement une mise a jour toute a l heure, je pensais que c était celle ci ....

PS : tu l as poussée en stable ou en beta ?
juste pour que je me remette en beta au besoin ...

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6511
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: [Plugin Tiers] Plugin Alexa-API

Message par Nebz » 05 sept. 2019, 14:47

les deux, pour l'instant beta=stable
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

tchoukanoff
Timide
Messages : 10
Inscription : 02 mars 2018, 16:01

Re: [Plugin Tiers] Plugin Alexa-API

Message par tchoukanoff » 05 sept. 2019, 16:34

sigalou a écrit :
03 sept. 2019, 13:37
Mise à jour importante !!!

Version stable : 2019-09-03 13:18:15 en ligne

Beaucoup de changements, et surtout correction du bug bloquant : "Alexa-API: Error: no csrf found"

Changelog :
http://sigalou-domotique.fr/plugin-jeed ... -changelog

Doc :
http://sigalou-domotique.fr/plugin-jeed ... umentation

Merci pour vos retours ici ! :lol: :geek: :mrgreen:

PS. Merci aux betas-testeurs pour leur patience et à @nebz pour son aide précieuse !!

cool merci tout est renter dans l'ordre pour moi ;)

Avatar de l’utilisateur
sigalou
Actif
Messages : 1075
Inscription : 23 janv. 2017, 16:02

Re: [Plugin Tiers] Plugin Alexa-API

Message par sigalou » 05 sept. 2019, 18:23

tchoukanoff a écrit :
05 sept. 2019, 16:34
cool merci tout est renter dans l'ordre pour moi ;)
super :D
Sigalou

Utilisateur/Développeur Plugin Jeedom
Créateur des plugins Alexa-API & WatchDog



jmau18
Timide
Messages : 9
Inscription : 04 sept. 2019, 12:55

Re: [Plugin Tiers] Plugin Alexa-API

Message par jmau18 » 05 sept. 2019, 21:25

Merci pour l'aide apportée , c'est appréciable d'avoir des personnes réactives ! :D
Voilà le résultat :
Capture d’écran 2019-09-05 à 21.17.22.png
Résultat
Capture d’écran 2019-09-05 à 21.17.22.png (35.21 Kio) Consulté 147 fois
J'ai l'impression que c'est idem que Gaillb1 ! Je me sens moins seul ;)

Répondre

Revenir vers « [Catégorie] Communication »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 2 invités